Bug 189362 - internal compiler error: in get_indirect_ref_operands, at tree-ssa-operands.c:1523
internal compiler error: in get_indirect_ref_operands, at tree-ssa-operands.c...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 10:48 EDT by Ross Clark
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 04:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (3.49 MB, application/x-extension-out)
2006-04-19 10:48 EDT, Ross Clark
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 27218 None None None Never

  None (edit)
Description Ross Clark 2006-04-19 10:48:40 EDT
Description of problem:
When attempting to "make" synfigstudio I get the error:
make[3]: Entering directory `/home/ross/Desktop/build/synfigstudio/src/gtkmm'
if g++ -DHAVE_CONFIG_H -I../.. -I../.. -I../../src
-I/usr/local/include/synfig-0.0 -I/usr/local/include -I/usr/include/OpenEXR
-I/usr/include/libxml++-2.6 -I/usr/include/sigc++-2.0
-I/usr/lib/sigc++-2.0/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -pthread -I/usr/include/gtkmm-2.4
-I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4
-I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6
-I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include
-I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/atk-1.0 -DNDEBUG
-Wno-deprecated -O2 -ffast-math -W -Wall -Wno-unused-parameter -MT
synfigstudio-duckmatic.o -MD -MP -MF ".deps/synfigstudio-duckmatic.Tpo" -c -o
synfigstudio-duckmatic.o `test -f 'duckmatic.cpp' || echo './'`duckmatic.cpp; \
then mv -f ".deps/synfigstudio-duckmatic.Tpo" ".deps/synfigstudio-duckmatic.Po";
else rm -f ".deps/synfigstudio-duckmatic.Tpo"; exit 1; fi
duckmatic.cpp: In member function ‘void studio::Duckmatic::add_duck(const
etl::handle<studio::Duck>&)’:
duckmatic.cpp:545: internal compiler error: in get_indirect_ref_operands, at
tree-ssa-operands.c:1523
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccXnoQ5K.out file, please attach this to
your bugreport.
make[3]: *** [synfigstudio-duckmatic.o] Error 1
make[3]: Leaving directory `/home/ross/Desktop/build/synfigstudio/src/gtkmm'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/ross/Desktop/build/synfigstudio/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/ross/Desktop/build/synfigstudio'

Version-Release number of selected component (if applicable):
gcc 4.1.0

How reproducible:
Follow the instructions on http://wiki.synfig.com/Build_instructions.
When you get to step 5 of synfig-studio the error will occur
N.B. for synfig-core and synfig-studio replace
./configure
with
./configure PKG_CONFIG_PATH="/usr/local/lib/pkgconfig:$PKG_CONFIG_PATH"

Steps to Reproduce:
1.Download and install (as per wiki instructions -
http://wiki.synfig.com/Build_instructions) ETL from
2.Download and install (as per wiki instructions -
http://wiki.synfig.com/Build_instructions) synfig-core
3.1.Download and install (as per wiki instructions -
http://wiki.synfig.com/Build_instructions) synfig-studio on step 5 make will
come up with the error
  
Actual results:
make comes up with the error as above

Expected results:
make should compile synfig-studio

Additional info:
Was told by Paul (pabs3@bonedaddy.net) to report the bug to you guys as it is an
internal compiler error and a regression from gcc 4.0.
Comment 1 Ross Clark 2006-04-19 10:48:41 EDT
Created attachment 127986 [details]
Preprocessed source
Comment 2 Ross Clark 2006-04-20 03:27:46 EDT
This bug has been filed on
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27218

Note You need to log in before you can comment on or make changes to this bug.